Class | TermtterIrcGateway
In: | lib/plugins/irc_gw.rb
Parent: | Net::IRC::Server::Session

### Methods

call execute_command friends_ids join_members log main_channel new on_message on_privmsg on_user server_name server_version sync_commands sync_friends

### Public Class methods

new(*args)

### Public Instance methods

call(statuses, event, indent = 0)
execute_command(command)
friends_ids()
join_members(members)
log(str)
main_channel()
on_message(m)
on_privmsg(m)
on_user(m)
server_name()
server_version()
sync_commands()
sync_friends()

[Validate]